Package com.evopdf

# Enum TemplateDocking

java.lang.Object
java.lang.Enum<TemplateDocking>
com.evopdf.TemplateDocking

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateDocking>`, `java.lang.constant.Constable`

public enum TemplateDocking extends Enum<TemplateDocking>
The docking style of a PDF template in PDF page

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Bottom`
  The template is docked to the bottom of the PDF page.
  `Fill`
  The template fills the PDF page.
  `Left`
  The template is docked to the left of the PDF page.
  `NotDocked`
  The template is not docked in PDF page.
  `Right`
  The template is docked to the right of the PDF page.
  `Top`
  The template is docked to the the top of the PDF page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static TemplateDocking`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TemplateDocking[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NotDocked

    public static final TemplateDocking NotDocked
    The template is not docked in PDF page.

  - ### Top

    public static final TemplateDocking Top
    The template is docked to the the top of the PDF page. The template width and location will be adjusted for docking.

  - ### Bottom

    public static final TemplateDocking Bottom
    The template is docked to the bottom of the PDF page. The template width and location will be adjusted for docking.

  - ### Left

    public static final TemplateDocking Left
    The template is docked to the left of the PDF page. The template location and height will be adjusted for docking.

  - ### Right

    public static final TemplateDocking Right
    The template is docked to the right of the PDF page. The template location and height will be adjusted for docking.

  - ### Fill

    public static final TemplateDocking Fill
    The template fills the PDF page. The template location will be the top left corner and the size will be the size of the PDF page. The docking will take into account the existing document Header, Footer, Left and Right templates.

- ## Method Details

  - ### values

    public static TemplateDocking[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TemplateDocking valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()